/*******************************************************************************
 SDemo:
 
 A simple example to illustrate how to use the CUTalk(TM) Cantonese
 Text-To-Speech API to read out user input text.
  
*******************************************************************************
 CHANGE LOG
 13 AUG 2001	-	Created by LO Wai Kit
*******************************************************************************
 IMPORTANT

 To use this sample code, you MUST have be a valid licensee of the CUTalk(TM).
 Otherwise, you MUST REMOVE this program from your computer and any other
 storage.

 This program forms part of the CUTalk(TM). It is provided in the hope that it
 will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*******************************************************************************
 Copyright (C) 2002 CUHK. All rights reserved.
******************************************************************************/

// SDemoDlg.h : header file
//

#if !defined(AFX_SDEMODLG_H__32C83CF0_800A_468A_8F14_C96142D05A5D__INCLUDED_)
#define AFX_SDEMODLG_H__32C83CF0_800A_468A_8F14_C96142D05A5D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSDemoDlg dialog

class CSDemoDlg : public CDialog
{
// Construction
public:
	CSDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSDemoDlg)
	enum { IDD = IDD_SDEMO_DIALOG };
	CEdit	m_Edit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SDEMODLG_H__32C83CF0_800A_468A_8F14_C96142D05A5D__INCLUDED_)
